Subject: Re: [mpls] "A YANG Data Model for MPLS Base" - draft-ietf-mpls-base-yang-14

From: Loa Andersson <[email-masked]>
Date: Sat, 1 Aug 2020 15:17:56 +0800

Acee,

Thanks, this was useful! And it was I asked for :)!

However, I was wrong on one point -  draft-ietf-mpls-base-yang does not
have any further dependenies, all normative references are RFCs.

It is mpls-ldp-yang that has a dependency, draft-ietf-rtgwg-policy-model
which in turn dependes on draft-ietf-netmod-intf-ext-yang. Both these
document seems to be moving according to plan.

/Loa

On 31/07/2020 21:39, Acee Lindem (acee) wrote:
> Hi,
> 
> Loa asked that I document the chain of dependencies of documents already 
> on the RFC Queue that are dependent on the subject draft. It is that 
> draft-ietf-bfd-yang 
> <https://datatracker.ietf.org/doc/draft-ietf-bfd-yang/> is dependent on 
> this document. Drafts already on the RFC Queue that are dependent on 
> draft-ietf-bfd-yang are draft-ietf-isis-yang-isis-cfg 
> <https://datatracker.ietf.org/doc/draft-ietf-isis-yang-isis-cfg/>, 
> draft-ietf-ospf-yang 
> <https://datatracker.ietf.org/doc/draft-ietf-ospf-yang/>, and 
> draft-ietf-pim-yang 
> <https://datatracker.ietf.org/doc/draft-ietf-pim-yang/>. There are 
> others that haven’t yet reached the RFC Queue including 
> draft-ietf-idr-bgp-model 
> <https://datatracker.ietf.org/doc/draft-ietf-idr-bgp-model/>. Hence, can 
> we give this draft some prioritization?? I know I’ve requested this at 
> prior IETF and hopefully I won’t have to do it again in November.
> 
> I also looked at the -14 and it doesn’t appear to have any dependencies 
> on other models or documents that have not yet completed.
> 
> Thanks,
> Acee
> 

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Bronze Dragon Consulting             phone: +46 739 81 21 64